Status: Resolved Priority: Should have
Updated: 2013-04-05 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: Git 2.0

Subject: Session is started on every request

Description

Related issues:
related to TYPOS3.Flow - Bug # 44202: $session->start() initializes a new sess...
related to TYPOS.Flow - Bug # 46703: Session has side effects in functional t...

Resolved 2012-12-22
Resolved 2013-03-27

Associated revisions

Revision 9feb5902 - 2013-04-05 17:06 - Robert Lemke

[FEATURE] Support for sessionless authentication

This feature enables authentication without the need of a session to
be started. This is useful for stateless services (e.g. REST) where
you don't want Flow to create a session cookie.

Authentication tokens which don't rely on a session simply implement
the SessionlessTokenlInterface marker interface.

This patch reverts parts of the first implementation of sessionless
authentication introduced in https://review.typo3.org/#/c/18388
(commit 15f86cb7a3a3fff3220d61d705f216e1b1d4f2369).

The original implementation was a breaking change with a few

unresolved side effects.

The implementation contained in this change set is backwards
compatible with already existing authentication tokens which

relied on sessions.

This patch also contains a small speed optimization for the CSRF
Protection pattern which assumes that no account has been
authenticated yet if the Authentication Manager is still a Dependency

Proxy.
Change-Id: Iccd2b8fde6a5f37d3d434c959705a85cdcdadb11
Resolves: #45282

Resolves: #46428
Releases: master, 2.0

Revision ff5de86a - 2013-04-05 20:05 - Robert Lemke
https://review.typo3.org/#/c/18388

[FEATURE] Support for sessionless authentication

This feature enables authentication without the need of a session to
be started. This is useful for stateless services (e.g. REST) where
you don't want Flow to create a session cookie.

Authentication tokens which don't rely on a session simply implement
the SessionlessTokenInterface marker interface.

This patch reverts parts of the first implementation of sessionless
authentication introduced in https://review.typo3.org/#/c/18388
(commit 15f86cb7a3a3fff3220d61d705f216e1b1d4f2369).

The original implementation was a breaking change with a few

unresolved side effects.

The implementation contained in this change set is backwards
compatible with already existing authentication tokens which

relied on sessions.

This patch also contains a small speed optimization for the CSRF
Protection pattern which assumes that no account has been
authenticated yet if the Authentication Manager is still a Dependency
Proxy.

Change-Id: Iccd2b8fde6a5f37d3d434c959705a85cdcdadb11
Resolves: #45282

Resolves: #46428

Releases: master, 2.0

History

#1 - 2013-03-19 11:15 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/18859

#2 - 2013-03-26 13:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18859

#3 - 2013-03-27 08:53 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19340

#4 - 2013-03-27 10:23 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/19340

#5 - 2013-04-05 17:10 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/19340

#6 - 2013-04-05 17:36 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9feb5902e1c4ed1b32278b28b6edc0ad1a6bb7b9.

#7 - 2013-04-05 20:14 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19615

#8 - 2013-04-05 20:37 - Anonymous
- Status changed from Under Review to Resolved

Applied in changeset commit:ff5de86a050865abee0fb5c860261c66710b74f5.
